/* Swiper */
.swiper {
  width: 100%;
  padding: 20px 0;
}

.swiper-slide {
  box-sizing: border-box;
  display: flex;
  justify-content: center;
  align-items: stretch;
}

/* Tarjeta */
.swiper-slide.tarjeta {
  width: 100%;
  max-width: none;
  height: auto;
  background-color: #fff;
  border-radius: 10px;
  overflow: hidden;
  box-shadow: 0 4px 8px rgba(0, 0, 0, 0.2);
  transition: transform 0.3s ease, box-shadow 0.3s ease;
  display: flex;
  flex-direction: column;
  color: black !important;
  padding: 0;
}

.swiper-slide.tarjeta:hover {
  transform: translateY(-10px);
  box-shadow: 0 10px 20px rgba(0, 0, 0, 0.2);
}

.swiper-slide.tarjeta.activa {
  border: 2px solid #4db4ff;
}

/* Imagen wrapper */
.imagen-wrapper {
  width: 100%;
  height: 200px; /* ajustable según diseño */
  overflow: hidden; /* recorta la imagen */
  margin-bottom: 10px;
}

.imagen-wrapper .imagen-noticia {
  width: 100%;
  height: 100%; /* ocupa toda la altura del contenedor */
  object-fit: cover; /* recorta sin deformar */
  display: block;
}

/* Encabezado */
.encabezado {
  font-family: Arial, Helvetica, sans-serif !important;
  display: flex;
  align-items: center;
  gap: 10px;
  padding: 10px 15px 0;
}

.encabezado span,
.leer-mas {
  color: #898989 !important;
}

.encabezado img {
  width: 30px;
  height: 30px;
  border-radius: 50%;
  flex-shrink: 0;
}

.encabezado div {
  text-align: left;
}

/* Texto */
.texto {
  /*font-family: "Calibri", sans-serif;
  font-size: 14px;*/
  padding: 10px 15px;
  margin: 7px 0;
  line-height: 1.4;
  flex-grow: 1; /* ocupa el espacio disponible */
}

.texto p{
  font-family: "Calibri", sans-serif !important;
  font-size: 14px;
  margin: 0;
}

/* Leer más */
.leer-mas {
  display: block;
  text-align: left;
  font-size: 13px;
  margin-left: 15px;
  margin-bottom: 10px;
  text-decoration: none;
  cursor: pointer;
}

/* Acciones */
.acciones {
  display: flex;
  justify-content: flex-end;
  gap: 10px;
  padding: 10px 15px;
  font-size: 14px;
  color: #666;
}

/* Responsive */
@media (max-width: 768px) {
  .swiper {
    width: 90%;
    margin: auto;
  }

  .swiper-slide {
    padding: 0 5px;
  }
  .imagen-wrapper {
    height: 150px;
  }
}
